Page MenuHomeFreeBSD

arm64: Fixed IOMMU compilation errors
ClosedPublic

Authored by dsl on May 21 2024, 10:05 PM.
Tags
Referenced Files
Unknown Object (File)
Wed, Jul 3, 11:22 AM
Unknown Object (File)
Sun, Jun 30, 8:43 AM
Unknown Object (File)
Sat, Jun 22, 10:26 AM
Unknown Object (File)
May 25 2024, 1:06 PM
Unknown Object (File)
May 25 2024, 1:06 PM
Unknown Object (File)
May 24 2024, 8:27 PM
Unknown Object (File)
May 22 2024, 12:30 PM
Unknown Object (File)
May 22 2024, 9:17 AM
Subscribers

Details

Summary

These are missing changes after 1228b93b410a when ref_count was
removed from bus_dma_tag_common and 1e3f42b6bad5, when the address
arguments were switched to pointers.

Test Plan

Build a kernel for arm64 with IOMMU.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dsl requested review of this revision.May 21 2024, 10:05 PM

Can you please add IOMMU to arm64 NOTES?

This revision is now accepted and ready to land.May 21 2024, 10:36 PM
This revision was automatically updated to reflect the committed changes.